# $file.globaldir Get the KVIrc global directory
Syntax
    $file.globaldir(<relative_path>)
    $file.globaldir
Description
Returns the path to the KVIrc global data directory. The KVIrc local data directory is always readable but usually not writeable and contains the various subdirectories that KVIrc uses internally: audio , avatars , config , help , incoming , log , modules , msgcolors and pics. If <relative_path> is passed , then it is appended at the end of the directory to form a complete filepath. The path is adjusted to contain single separators suitable for the platform that KVIrc is atually running on (thus you not need to care about path separators in the <relative_path> , KVIrc will adjust them).
Examples
        echo KVIrc looks for pictures in $file.globaldir(pics)
        echo panic.png would be translated to $file.globaldir(pics/panic.png)

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Tue Dec 4 07:16:18 2007